Loading...
Searching...
No Matches
casacore::DataManInvOper Class Reference
tables package (libcasa_tables) » DataMan_module

Table DataManager error; invalid operation. More...

`#include <DataManError.h>`

## Public Member Functions

| DataManInvOper ()
| The default constructor generates a generic "invalid operation" message.
| DataManInvOper (const String &message)
| Add given message to string "Invalid DataMan operation: ".
| ~DataManInvOper () noexcept
Public Member Functions inherited from casacore::DataManError
| DataManError ()
| The default constructor generates the message "Table DataManager error".
| DataManError (const String &message)
| Construct with given message.
| ~DataManError () noexcept
Public Member Functions inherited from casacore::AipsError
virtual const char * | what () const noexcept
| Simply returns the stored error message.
const String & | getMesg () const
String | getStackTrace () const
AipsError::Category | getCategory () const
void | setMessage (const String &msg) const
| Append a message.
| AipsError (const Char *str, Category c=GENERAL)
| Creates an AipsError and initializes the error message from the parameter.
| AipsError (const String &str, Category c=GENERAL)
| AipsError (const String &msg, const String &filename, uInt lineNumber, Category c=GENERAL)
| AipsError (Category c=GENERAL)
| ~AipsError () noexcept
| Destructor which does nothing.

## Additional Inherited Members

Public Types inherited from casacore::AipsError
enum | Category { BOUNDARY , INITIALIZATION , INVALID_ARGUMENT , CONFORMANCE , ENVIRONMENT , SYSTEM , PERMISSION , GENERAL }
Static Public Member Functions inherited from casacore::AipsError
static void | getLastInfo (String &message, String &stackTrace)
| Get or clear the stacktrace info.
static String | getLastMessage ()
static String | getLastStackTrace ()
static void | clearLastInfo ()
static AipsError | repackageAipsError (AipsError &error, const String &message, const char *file, Int line, const char *func)
| Repackage an exception.
static void | throwIf (Bool condition, const String &message, const char *file, Int line, const char *func="")
| Throw if the condition is true.
static void | throwIfError (Int errorCode, const String &prefix, const char *file, Int line, const char *func="")
| Throw if the system error code is not 0.
Protected Member Functions inherited from casacore::AipsError
void | addStackTrace ()
| Add the stack trace to the message (if USE_STACKTRACE is set).
Protected Attributes inherited from casacore::AipsError
String | message
Category | category
String | stackTrace

## Detailed Description

Table DataManager error; invalid operation.

### Intended use:

Public interface

### Review Status

Reviewed By:
  Gareth Hunt
Date Reviewed:
  94Nov17

### Synopsis

Invalid operation on a data manager. A request was done that the data manager could not handle. In principle the table system should already test on such operations and it should not bother the data manager with invalid requests. However, the data manager still tests them for safety.

Definition at line 142 of file DataManError.h.

## Constructor & Destructor Documentation

## DataManInvOper() [1/2]

casacore::DataManInvOper::DataManInvOper | ( |  | ) |

The default constructor generates a generic "invalid operation" message.

## DataManInvOper() [2/2]

casacore::DataManInvOper::DataManInvOper | ( | const String & | message | ) |

Add given message to string "Invalid DataMan operation: ".

References casacore::AipsError::message.

## ~DataManInvOper()

casacore::DataManInvOper::~DataManInvOper | ( |  | ) |

noexcept

The documentation for this class was generated from the following file:

- tables/DataMan/DataManError.h